RUN-PARTS(8)

NAME
run-parts - run scripts found in a directory

SYNOPSIS
run-parts <directory>

DESCRIPTION
run-parts is a utility that will run scripts that are found in a directory. For example, it might be useful to create an /etc/cron.daily directory and put scripts in there for daily cron jobs. Then run-parts can be called once a day from root's crontab to run all the scripts found in /etc/cron.daily: 40 4 * * * run-parts /etc/cron.daily run-parts automatically skips files with certain suffixes that are generally associated with backup or extra files. Any file that ends in one of these will be silently ignored: ~ ^ , .bak .new .rpmsave .rpmorig .rpmnew .swp

AUTHOR
Patrick J. Volkerding <volkerdi@slackware.com>, with ideas borrowed from the Red Hat and Debian versions of this utility.

SEE ALSO
crond(8), crontab(8).